#! /bin/sh

package=$1"/"$2
tmpDir=/update

if [ -e $package ] ;
then
	if [ ! -d $tmpDir ] ;
	then
		mkdir -p $tmpDir
	fi
	
	cd $tmpDir
	echo "Unpacking $package now..."
	tar zxvf $package

	if [ -f $tmpDir/autorun.sh ] ; 
	then                 
		echo "Runing autorun.sh..."
		cd $tmpDir 
		chmod 777 autorun.sh 
		./autorun.sh 
	fi
	echo "Remove temporary files created during update..."
	rm -rf $tmpDir/*
fi